Doomsday Engine - Bug #2097

[Doom] Lost Soul boucing accuracy in Ultimate Doom
2015-07-03 01:17 - vermil

Status: New Start date: 2015-07-03
Priority: Normal % Done: 0%
Assignee:

Category: Vanilla emulation

Target version: Vanilla / Gameplay

Description

As is widely known, a coding mistake meant that Lost Souls don't bounce off floors and ceilings in Doom1 + 2.

However, this was fixed in both Final Doom, Ultimate Doom and also Doom95 (which fixes the bug in all versions of Doom when ran
through Doom95).

However, Dday only replicates the fix for Final Doom meaning it currently neither respects the original executables or Doom95 100%.
Something like this would be needed to mimic the original executables, with the bit in bold being the correction:

dd_bool const correctLostSoulBounce = ( gameMode doom_ultimate || gameMode doom2_plut || gameMode == doom2_tnt); "

History

#1 - 2015-07-03 01:18 - vermil

- Tags set to vanilla, playsim, emulation

#2 - 2015-07-03 07:37 - skyjake
- Tags changed from Vanilla, PlaySim, emulation to PlaySim, Doom

- Category set to Vanilla emulation

#3 - 2017-04-03 13:37 - skyjake

- Target version set to Modding

#4 - 2017-04-03 18:33 - skyjake

- Target version changed from Modding to Vanilla/ Gameplay
